cta:
  namespace: "Molecules/TM - CTAs"
  use: "@molecules/tm-cta/cta.twig"
  label: CTA
  description: A simple Call To Action.
  libraries:
    - cta_lib:
        css:
          component:
            ../styles/cta.css: { weight: 10 }

  fields:

    title:
      type: text
      label: Title
      description: The title for the CTA
      preview: "Find out how much you could save with Season Tickets"

    link_url:
      type: text
      label: Link URL
      preview: /somewhere

    link_title:
      type: text
      label: Link text
      preview: Press this button

  settings:

    cta_class:
      type: textfield
      label: Block classes
      description: The class for this block
      preview: "cbelianr"
      default: "cbelianr"

    link_class:
      type: textfield
      label: Link classes
      description: Classes for the link e.g 'belianr'

    header_tag:
      type: textfield
      label: Header level
      description: Heading level e.g 'h2'


  variants:

    __default:
      label: Default

    cta_plain:
      label: Plain
      settings:
        cta_class: 'cta-plain'

    cta_light:
      label: Light
      settings:
        cta_class: 'cta-light'

    cta_dark:
      label: Dark
      settings:
        cta_class: 'cta-dark'
